Package org.apache.sling.commons.messaging.mail

## Interface MailService

All Superinterfaces:
  `org.apache.sling.commons.messaging.MessageService<jakarta.mail.internet.MimeMessage,​Void>`

All Known Implementing Classes:
  `SimpleMailService`

    @ProviderType
    public interface MailService
    extends org.apache.sling.commons.messaging.MessageService<jakarta.mail.internet.MimeMessage,​Void>

Service for sending MIME messages.

See Also:
  `MimeMessage`

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull MessageBuilder` `getMessageBuilder()` Provides the message builder for this service.
`@NotNull CompletableFuture<Void>` `sendMessage​(@NotNull jakarta.mail.internet.MimeMessage message)` Sends the given MIME message.

### Method Detail

#### getMessageBuilder

    @NotNull
    @NotNull MessageBuilder getMessageBuilder()

Provides the message builder for this service.

Returns:
  the message builder for this service

#### sendMessage

    @NotNull
    @NotNull CompletableFuture<Void> sendMessage​(@NotNull
                                                 @NotNull jakarta.mail.internet.MimeMessage message)

Sends the given MIME message.

Specified by:
  `sendMessage` in interface `org.apache.sling.commons.messaging.MessageService<jakarta.mail.internet.MimeMessage,​Void>`
Parameters:
  `message` - the MIME message to send
Returns:
  `CompletableFuture` for signaling completion